// C Source File
// Created 6/1/03; 4:06:19 AM

#define USE_TI89              // Produce .89z File
#define USE_TI92PLUS          // Produce .9xz File
#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#define SAVE_SCREEN           // Save/Restore LCD Contents
#include <tigcclib.h>         // Include All Header Files

#include "SplashScreen.h"
#include "DrawScreen.h"
#include "GetLink.h"
#include "SendLink.h"
#include "GetInput.h"

void _main(void)
{
	SplashScreen();
	OSLinkOpen();
	VirtualScreen=malloc(LCD_SIZE);
	PortSet(VirtualScreen,239,127);
	OSFreeTimer(USER_TIMER);
  OSRegisterTimer(USER_TIMER,10);
  Send_login();
	location=CHAT;
	while(location!=EXIT){
		GetInput();
		GetLink();
		DrawScreen();
	}
	PortRestore();
	free(VirtualScreen);
	OSLinkClose();
}

